#
# spec file for package kactivitymanagerd
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           kactivitymanagerd
Version:        5.11.1
Release:        0
Summary:        KDE Plasma Activities support
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://projects.kde.org/kactivitymanagerd
Source:         http://download.kde.org/stable/plasma/%{version}/kactivitymanagerd-%{version}.tar.xz
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel >= 1.49.0
%endif
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= 5.18.0
BuildRequires:  fdupes
BuildRequires:  kcmutils-devel >= 5.18.0
BuildRequires:  kconfig-devel >= 5.18.0
BuildRequires:  kcoreaddons-devel >= 5.18.0
BuildRequires:  kdbusaddons-devel >= 5.18.0
BuildRequires:  kdeclarative-devel >= 5.18.0
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel >= 5.18.0
BuildRequires:  ki18n-devel >= 5.18.0
BuildRequires:  kio-devel >= 5.18.0
BuildRequires:  kservice-devel >= 5.18.0
BuildRequires:  kwindowsystem-devel >= 5.18.0
BuildRequires:  kxmlgui-devel >= 5.18.0
BuildRequires:  xz
BuildRequires:  cmake(Qt5Core) >= 5.3.0
BuildRequires:  cmake(Qt5DBus) >= 5.3.0
BuildRequires:  cmake(Qt5Gui) >= 5.3.0
BuildRequires:  cmake(Qt5Qml) >= 5.3.0
BuildRequires:  cmake(Qt5Quick) >= 5.3.0
BuildRequires:  cmake(Qt5Sql) >= 5.3.0
BuildRequires:  cmake(Qt5Test) >= 5.3.0
BuildRequires:  cmake(Qt5Widgets) >= 5.3.0
Recommends:     %{name}-imports = %{version}
Recommends:     %{name}-lang
# for kactivitymanagerd_plugin_sqlite.so
Recommends:     libQt5Sql5-sqlite
Provides:       kactivities4 = %{version}
Provides:       kactivities5 = 5.20.0
Obsoletes:      kactivities4 < %{version}
Obsoletes:      kactivities5 < 5.20.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kactivities provides an API for using and interacting with the Plasma Activities Manager.

%package lang
Summary:        KDE Plasma Activities support
Group:          System/GUI/KDE
Requires:       %{name} = %{version}
Provides:       libKF5Activities5-lang = 5.20.0
Obsoletes:      libKF5Activities5-lang < 5.20.0

%description lang
Provides translations to the package %{name}.

%prep
%setup -q -n kactivitymanagerd-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang kactivities5
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{with lang}
%files -n %name-lang -f kactivities5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/kactivitymanagerd
%{_kf5_libdir}/libkactivitymanagerd_plugin.so
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/

%changelog
